> For the complete documentation index, see [llms.txt](https://docs.cozycrafters.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cozycrafters.net/plugin-docs/cozydisplays/commands.md).

# Commands

## Commands

All confirmed commands use the `/display` root command. Confirmed aliases for the root command are `/cozydisplay` and `/cozydisplays`.

The confirmed permission for all commands is `cozydisplays.admin`.

### Display Management Commands

<table><thead><tr><th width="481.1171875">Command</th><th>Description</th></tr></thead><tbody><tr><td><code>/display create &#x3C;id> &#x3C;text...></code></td><td>Backwards-compatible text display creation.</td></tr><tr><td><code>/display create text &#x3C;id> &#x3C;text...></code></td><td>Creates a text display at the admin's location.</td></tr><tr><td><code>/display create item &#x3C;id> &#x3C;material></code></td><td>Creates an item display at the admin's location.</td></tr><tr><td><code>/display create block &#x3C;id> &#x3C;material></code></td><td>Creates a block display at the admin's location.</td></tr><tr><td><code>/display movehere &#x3C;id></code></td><td>Moves a display to the admin's current location.</td></tr><tr><td><code>/display nearby [radius]</code></td><td>Lists nearby displays in the current world.</td></tr><tr><td><code>/display clone &#x3C;sourceId> &#x3C;newId></code></td><td>Copies a display's editable settings and lines to a new display at the admin's location.</td></tr><tr><td><code>/display edit &#x3C;id></code></td><td>Opens the basic admin editor GUI.</td></tr><tr><td><code>/display delete &#x3C;id></code></td><td>Deletes a display and removes its entities.</td></tr><tr><td><code>/display list</code></td><td>Lists saved displays.</td></tr><tr><td><code>/display info &#x3C;id></code></td><td>Shows saved settings for one display.</td></tr><tr><td><code>/display stats</code></td><td>Shows display, entity, line, view range, and refresh counts/status.</td></tr><tr><td><code>/display enabled &#x3C;true></code></td><td>Admin or console</td></tr><tr><td><code>/display hide &#x3C;id></code></td><td>Hides a display while keeping it saved.</td></tr><tr><td><code>/display show &#x3C;id></code></td><td>Respawns a hidden display.</td></tr><tr><td><code>/display setitem &#x3C;id> &#x3C;material></code></td><td>Changes an item display's material.</td></tr><tr><td><code>/display setblock &#x3C;id> &#x3C;material></code></td><td>Changes a block display's material.</td></tr><tr><td><code>/display template list</code></td><td>Lists saved display templates.</td></tr><tr><td><code>/display template save &#x3C;templateId> &#x3C;displayId></code></td><td>Saves a display's safe type, text, material, and visual settings as a template.</td></tr><tr><td><code>/display template apply &#x3C;templateId> &#x3C;displayId></code></td><td>Applies a template without changing the target display ID or location.</td></tr></tbody></table>

### Line Editing Commands

<table><thead><tr><th width="478.12109375">Command</th><th>Description</th></tr></thead><tbody><tr><td><code>/display addline &#x3C;id> &#x3C;text...></code></td><td>Adds a line to a text display.</td></tr><tr><td><code>/display insertline &#x3C;id> &#x3C;lineNumber> [text...]</code></td><td>Inserts a line before the 1-based line number. Omitting text inserts a blank line. <code>line count + 1</code> appends.</td></tr><tr><td><code>/display setline &#x3C;id> &#x3C;lineNumber> &#x3C;text...></code></td><td>Replaces one text line.</td></tr><tr><td><code>/display removeline &#x3C;id> &#x3C;lineNumber></code></td><td>Removes one text line.</td></tr></tbody></table>

### Position And Rotation Commands

<table><thead><tr><th width="504.921875">Command</th><th>Description</th></tr></thead><tbody><tr><td><code>/display rotate &#x3C;id> &#x3C;yaw> [pitch]</code></td><td>Sets absolute yaw and pitch.</td></tr><tr><td><code>/display rotateby &#x3C;id> &#x3C;yawDelta> [pitchDelta]</code></td><td>Adds relative yaw and pitch.</td></tr><tr><td><code>/display face &#x3C;id></code></td><td>Matches the admin's current yaw and pitch.</td></tr><tr><td><code>/display spin &#x3C;id> &#x3C;yawPerSecond> [pitchPerSecond]</code></td><td>Enables yaw/pitch auto-rotation.</td></tr><tr><td><code>/display spin stop &#x3C;id></code></td><td>Stops auto-rotation and keeps the current in-memory rotation.</td></tr><tr><td><code>/display snapwall &#x3C;id></code></td><td>Centers a display on the targeted vertical block face.</td></tr><tr><td>`/display nudge &#x3C;up</td><td>right</td></tr><tr><td><code>/display up &#x3C;id> [amount]</code></td><td>Shortcut nudge upward.</td></tr><tr><td><code>/display down &#x3C;id> [amount]</code></td><td>Shortcut nudge downward.</td></tr><tr><td><code>/display left &#x3C;id> [amount]</code></td><td>Shortcut nudge left.</td></tr><tr><td><code>/display right &#x3C;id> [amount]</code></td><td>Shortcut nudge right.</td></tr><tr><td><code>/display forward &#x3C;id> [amount]</code></td><td>Shortcut nudge forward.</td></tr><tr><td><code>/display back &#x3C;id> [amount]</code></td><td>Shortcut nudge backward.</td></tr></tbody></table>

### Text Styling Commands

<table><thead><tr><th width="489.0703125">Command</th><th>Description</th></tr></thead><tbody><tr><td><code>/display scale &#x3C;id> &#x3C;scale></code></td><td>Sets text scale.</td></tr><tr><td><code>/display viewrange &#x3C;id> &#x3C;range></code></td><td>Sets render range in blocks for one display.</td></tr><tr><td><code>/display viewrangeall &#x3C;range></code></td><td>Sets render range for every display.</td></tr><tr><td><code>/display rendermode &#x3C;line_entities></code></td><td>Admin or console</td></tr><tr><td><code>/display background &#x3C;enable></code></td><td>Admin or console</td></tr><tr><td><code>/display bgcolor &#x3C;#RRGGBB></code></td><td>Admin or console</td></tr><tr><td><code>/display bgopacity &#x3C;id> &#x3C;0-100></code></td><td>Sets text background opacity as a percent.</td></tr><tr><td><code>/display align &#x3C;left></code></td><td>Root aliases only</td></tr><tr><td><code>/display linespacing &#x3C;id> &#x3C;value></code></td><td>Sets vertical spacing between line entities. Single-entity mode uses Minecraft newline spacing.</td></tr><tr><td><code>/display shadow &#x3C;true></code></td><td>Admin or console</td></tr><tr><td><code>/display seethrough &#x3C;true></code></td><td>Admin or console</td></tr><tr><td><code>/display billboard &#x3C;fixed</code></td><td>vertical>`</td></tr></tbody></table>

### Interaction Commands

Click actions are disabled by default. Enabling interaction spawns a clickable interaction hitbox for that display.

<table><thead><tr><th width="469.69140625">Command</th><th>Description</th></tr></thead><tbody><tr><td><code>/display interaction enable &#x3C;id></code></td><td>Enables interaction for a display.</td></tr><tr><td><code>/display interaction disable &#x3C;id></code></td><td>Disables interaction and removes the hitbox.</td></tr><tr><td><code>/display interaction size &#x3C;id> &#x3C;width> &#x3C;height></code></td><td>Sets hitbox size.</td></tr><tr><td><code>/display interaction cooldown &#x3C;id> &#x3C;seconds></code></td><td>Sets click cooldown per player, display, and click type.</td></tr><tr><td><code>/display interaction add &#x3C;left></code></td><td>Admin or console</td></tr><tr><td><code>/display interaction clear &#x3C;left></code></td><td>Root aliases only</td></tr></tbody></table>

Supported action tokens confirmed in source docs: `%player%`, `%uuid%`, `%id%`, `%world%`, `%x%`, `%y%`, and `%z%`.

### Refresh Commands

<table><thead><tr><th width="376.0703125">Command</th><th>Description</th></tr></thead><tbody><tr><td><code>/display refresh &#x3C;id></code></td><td>Forces a one-time placeholder/text refresh.</td></tr><tr><td><code>/display refresh enable &#x3C;id></code></td><td>Enables automatic refresh for one display.</td></tr><tr><td><code>/display refresh disable &#x3C;id></code></td><td>Disables automatic refresh for one display.</td></tr><tr><td><code>/display refresh interval &#x3C;id> &#x3C;minutes></code></td><td>Sets automatic refresh interval in minutes.</td></tr><tr><td><code>/display refresh status &#x3C;id></code></td><td>Shows one display's refresh settings.</td></tr></tbody></table>

### Admin Commands

<table><thead><tr><th width="221.36328125">Command</th><th>Description</th></tr></thead><tbody><tr><td><code>/display audit</code></td><td>Shows a read-only maintenance report for saved displays, spawned entities, duplicates, orphans, and invalid entries.</td></tr><tr><td><code>/display reload</code></td><td>Reloads config and saved displays, removes CozyDisplays-owned visual and interaction entities, then respawns saved displays.</td></tr></tbody></table>

### Examples

<table><thead><tr><th width="476.0625">Example</th><th>What It Does</th></tr></thead><tbody><tr><td><code>/display create text welcome &#x26;6Welcome to spawn</code></td><td>Creates a text display.</td></tr><tr><td><code>/display create item diamond_icon DIAMOND</code></td><td>Creates an item display.</td></tr><tr><td><code>/display create block beacon_block BEACON</code></td><td>Creates a block display.</td></tr><tr><td><code>/display addline welcome &#x26;fRead the rules.</code></td><td>Adds a text line.</td></tr><tr><td><code>/cozydisplays insertline welcome 1 &#x26;eStart here first</code></td><td>Inserts a line using a root alias.</td></tr><tr><td><code>/display snapwall welcome</code></td><td>Places the display on the targeted wall face.</td></tr><tr><td><code>/display rotateby welcome 15</code></td><td>Rotates a display by 15 degrees yaw.</td></tr><tr><td><code>/display refresh welcome</code></td><td>Forces a one-time refresh.</td></tr><tr><td><code>/display audit</code></td><td>Checks saved/spawned display health.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cozycrafters.net/plugin-docs/cozydisplays/commands.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
